Bug 677032 - [abrt] pyflakes-0.4.0-2.fc14: checker.py:279:handleNode:AttributeError: 'Checker' object has no attribute 'DICTCOMP'
Summary: [abrt] pyflakes-0.4.0-2.fc14: checker.py:279:handleNode:AttributeError: 'Chec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyflakes
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:442761ea
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-12 17:30 UTC by Jon Dufresne
Modified: 2011-03-03 03:04 UTC (History)
2 users (show)

Fixed In Version: pyflakes-0.4.0-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-24 06:31:04 UTC


Attachments (Terms of Use)
File: backtrace (2.28 KB, text/plain)
2011-02-12 17:30 UTC, Jon Dufresne
no flags Details

Description Jon Dufresne 2011-02-12 17:30:30 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/pyflakes ./staticsauce/__init__.py
component: pyflakes
executable: /usr/bin/pyflakes
kernel: 2.6.35.10-74.fc14.x86_64
package: pyflakes-0.4.0-2.fc14
reason: checker.py:279:handleNode:AttributeError: 'Checker' object has no attribute 'DICTCOMP'
release: Fedora release 14 (Laughlin)
time: 1297531658
uid: 500

How to reproduce
-----
1. Clone repository at https://github.com/jdufresne/staticsauce
2. Run the command `find . -name \*.py -exec pyflakes {} \;`

Comment 1 Jon Dufresne 2011-02-12 17:30:32 UTC
Created attachment 478399 [details]
File: backtrace

Comment 2 Ville Skyttä 2011-02-13 10:06:56 UTC
pyflakes 0.4.0 lacks support for dictionary (and set) comprehensions introduced in Python 2.7.  There's no newer upstream release available and the other changes in various SCM trees seem quite large compared to 0.4.0 so I've added a patch that backports support for set and dict comprehensions in 0.4.0-4.  Hopefully it's correct, but at least it no longer crashes that way when encountering these constructs.

Comment 3 Fedora Update System 2011-02-13 10:19:56 UTC
pyflakes-0.4.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pyflakes-0.4.0-4.fc15

Comment 4 Fedora Update System 2011-02-13 10:20:49 UTC
pyflakes-0.4.0-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pyflakes-0.4.0-4.fc14

Comment 5 Fedora Update System 2011-02-14 20:29:27 UTC
pyflakes-0.4.0-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pyflakes'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pyflakes-0.4.0-4.fc14

Comment 6 Fedora Update System 2011-02-24 06:30:59 UTC
pyflakes-0.4.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-03-03 03:04:27 UTC
pyflakes-0.4.0-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.